This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 454574 - mono writing to filesystem far too frequently
mono writing to filesystem far too frequently
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
NEEDSRETESTING
: Triaged
Depends On:
Blocks: 454582 F10Target
  Show dependency treegraph
 
Reported: 2008-07-08 22:43 EDT by Jesse Keating
Modified: 2013-01-09 22:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:14:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Ximian Software (Novell) 434566 None None None Never

  None (edit)
Description Jesse Keating 2008-07-08 22:43:53 EDT
mono process, which is running because of tomboy, seems to be reading/writing to
a couple files pretty frequently (more often than once a minute).

mono(7517): dirtied inode 18811342 (shared_fileshare-lumos-Linux-x86_64-40-11-0)
on dm-0
mono(7517): dirtied inode 18811342 (shared_fileshare-lumos-Linux-x86_64-40-11-0)
on dm-0
mono(7517): dirtied inode 18810995 (shared_data-lumos-Linux-x86_64-328-11-0) on dm-0
mono(7517): dirtied inode 18810995 (shared_data-lumos-Linux-x86_64-328-11-0) on dm-0

These files are:

/home/jkeating/.wapi/shared_fileshare-lumos-Linux-x86_64-40-11-0: X11 SNF font
data, LSB first
/home/jkeating/.wapi/shared_data-lumos-Linux-x86_64-328-11-0: data


This causes the disk to wake up far too frequently for any decent power savings.
Comment 1 Jesse Keating 2008-07-08 22:47:08 EDT
See also https://bugs.launchpad.net/ubuntu/+source/tomboy/+bug/222907
Comment 2 Paul F. Johnson 2008-10-20 08:14:38 EDT
Is this happening on anything other than PPC? I've not noticed it on my x86 box.
Comment 3 Jesse Keating 2008-10-20 13:32:09 EDT
This wasn't on ppc, this was on x86_64.
Comment 4 John Poelstra 2008-10-20 18:51:52 EDT
What version of Mono and Tomboy are installed?
Comment 5 Jesse Keating 2008-10-20 19:09:47 EDT
tomboy-0.12.0-2.fc10.x86_64
mono-core-2.0-10.fc10.x86_64

Tomboy seems to be waking up once a second, which seems pretty darn frequent.  To monitor:

# sysctl -w vm.block_dump=1
# while true; do sleep 1; date; dmesg -c; done
Comment 6 Paul F. Johnson 2008-10-20 19:22:31 EDT
I wonder if it's worth recompiling mono with MONO_DISABLE_SHM=1 for rawhide and see if anything comes in as broken due to it. I know it's not a fix, but it should do as work around until the bug is sorted

(ref https://bugzilla.novell.com/show_bug.cgi?id=434566#c2)
Comment 7 Xavier Lamien 2008-10-21 17:49:29 EDT
From comment #3
it's an io-player issue not an arch depend.

From comment #6
actually, this workaround will break some mono related packages.
it's the case on my rawhide (f-spot, beagles, banshee).

Unused mono (related to io-player) processes during usage get other app freeze or more.

We really need to have more detail from upstream about this issue.
Comment 8 Paul F. Johnson 2008-10-23 06:27:31 EDT
I'll post to the novell BZ later and see if there is any progress either in the 2.2 branch (if there is, I'll backport the solution if that can be done) or in trunk.
Comment 9 Bug Zapper 2008-11-25 21:31:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 David Nielsen 2009-03-17 12:17:22 EDT
Is this still valid for Mono 2.4 which is in Rawhide?

Indications seem to be that it has been fixed upstream
https://bugzilla.novell.com/show_bug.cgi?id=434566#c2
Comment 11 Jesse Keating 2009-03-31 12:36:56 EDT
It now diddles the disk about ever 5 seconds.  Better, but still pretty darn frequent.
Comment 12 neighborlee 2009-06-08 11:15:26 EDT
Fedora 11 isn't far off by one day, so I would like to know if this has been resolved, as I completely agree once/5 is far too often.
Comment 13 Bug Zapper 2009-11-18 07:35:54 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 01:14:20 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.